/*
 * TEventBlock_V47.cpp
 *
 *  Created on: Nov 14, 2012
 *      Author: amunnich
 */

#include "TIEventBlock.hh"
#include <map>
#include <string>
#include <sstream>

//LCIO
#include "IMPL/LCEventImpl.h"

namespace marlintpc
{
TEventBlock_V47::TEventBlock_V47(std::vector<uint32_t>& Content):
        TEventBlock_V46(Content)
{

}

TEventBlock_V47::~TEventBlock_V47()
{

}

lcio::LCTime
TEventBlock_V47::GetTimestamp() const
{
    //  Content()[7] is in units of seconds as unix time, therefore constructor with int unix time needs be used

    lcio::LCTime time(static_cast<int>(Content()[7]));
    time +=  Content()[8];
    // std::cout<<"TIMESTAMP: "<<time.timeStamp()<<" "<<time.getDateString()<<std::endl;
    return time;
}

}
