/*
 * AltroBlocksLib.hh
 *
 *  Created on: Aug 2, 2011
 *      Author: caiazza
 */

#ifndef ALTROBLOCKSLIB_HH_
#define ALTROBLOCKSLIB_HH_

//#define NDEBUG
#include <assert.h>

//Standard C++ inclusion
#include <iostream>
#include <fstream>
#include <iterator>
#include <vector>
#include <exception>
#include <stdexcept>
#include <string.h>
#include <sstream>

//ILCSOFT inclusions
#include "lcio.h"
#include "UTIL/LCTime.h"
#include "IO/LCWriter.h"
#include "IMPL/LCCollectionVec.h"
#include "IMPL/TrackerRawDataImpl.h"
#include "IMPL/LCEventImpl.h"

//Specific headers of the Altro Blocks
#include "AltroBlock.hh"
#include "SORBlock.hh"
#include "EORBlock.hh"
#include "BOFBlock.hh"
#include "EOFBlock.hh"
#include "PORBlock.hh"
#include "CORBlock.hh"
#include "DataBlock.hh"
#include "RCUBlock.hh"
#include "EventBlock.hh"

namespace A2Lconverter
{
    const int VERSION_MAJOR = 2;
    const int VERSION_MINOR = 0;
    const int VERSION_PATCH = 1;
}


#endif /* ALTROBLOCKSLIB_HH_ */
