#!/bin/bash
# This test executes the 
# testTPCHitDomain binary. It need's the gear input file, which is why we have
# this bash script.
echo MARLINTPC_SOURCE_DIR is ${MARLINTPC_SOURCE_DIR}
echo MARLINTPC_BIN_DIR is ${MARLINTPC_BIN_DIR}

echo Marlin is ${MARLIN_BIN_DIR}/Marlin

TEST_DIRECTORY=test_reco_multiModule_TrackMakingKalmanFilter

mkdir ${TEST_DIRECTORY}
cd ${TEST_DIRECTORY} 

#Generate the input data
cp ${MARLINTPC_SOURCE_DIR}/examples/reconstruction_multi_module/gear_LP_TPC_GEM_7module.xml .
${MARLINTPC_BIN_DIR}/testTPCHitDomain gear_LP_TPC_GEM_7module.xml
if [ $? -ne 0 ]; then
    echo testTPCHitDomain did not succeed
    exit 1
fi

#only clean up if there was no error, otherwise leave the directory for debugging
cd ..
rm -rf  ${TEST_DIRECTORY}

exit 0
