// This is a unit test for the PulseFinder class.
#include "PulseFinder.h"
#include "PulseFinderTester.h"

// default libraries
#include <iostream>

using namespace marlintpc;

// This is a unit test for the PulseFinder class. It tests all the member functions with
// hand-tuned data to  ensure proper functionality.
// As the test will be run with ctest, the main has to return 0 if all tests worked, 
// and not 0 in case of failures. We return the number of failed tests as error value.
int main()
{
 
   PulseFinderTester pulseFinderTester;

   int nTestsFailed = pulseFinderTester.runAllTests();

   std::cout << nTestsFailed << " tests failed." << std::endl;
   // all return codes are %256 
   return (nTestsFailed>255 ? 255 : nTestsFailed);
}
